Subject: Bug: The '20a09de953f437109a098fa8c4d380663d921481' merge increased my Emacs configuration loading time from 9 s to 60 s

From: Alexander Shukaev <[email-masked]>
Date: Wed, 1 Nov 2017 01:44:50 +0100

Hi,

Decided to try pretest of 26.0.90 and immediately discovered that it is 
slower than, for example, 'e7f65187580342171dd9ad32e570c50c96badb13' 
which I used before.  In particular, thanks to a couple of hours of 
bisecting, I found that the '20a09de953f437109a098fa8c4d380663d921481' 
merge increased my Emacs configuration loading time from 9 s to 60 s, 
which is unacceptable.  I have no idea how this made it's way to the 
'master' branch.  Furthermore, other operations like navigation across 
windows or performing an incremental search are also noticeably slower, 
i.e. they stutter annoyingly, and from what I see is a result of 
extensive GC spam which did not occur in previous versions.  Looks like 
something core has really been changed and potentially broken.  This 
needs investigation; let me know what can I do for you guys from my 
side.  Thanks.

Regards,
Alexander